unit dosconf;
interface
uses winprocs, wintypes, strings, dvcrt, dvwin, dosmsg;

procedure configDosvox;

implementation

{--------------------------------------------------------}
{                  opcao de arquivos
{--------------------------------------------------------}

procedure configDosvox;
var pveloc: array [0..1] of char;
    pdir: array [0..144] of char;
    c1, c2: char;
    dir: string;

begin
    mensagem (DVVELOC, 0);    {'Qual a velocidade de 1 a 4 ? '}
    sintLeTecla (c1, c2);
    writeln;
    if (c1 >= '1') or (c1 <= '5') then
        begin
            pveloc [0] := c1;
            pveloc [1] := #$0;
            writePrivateProfileString ('TRADUTOR', 'VELOCIDADE', pveloc, 'DOSVOX.INI');
            sintFim;
            inicFala;
        end;

    mensagem (DVDTPAD, 1);    {'Informe o diretório padrão de trabalho'}
    sintReadln (dir);
    if dir = '' then exit;

    {$I-} chdir (dir);  {$I+}
    if ioresult <> 0 then
         mensagem (DVERRMUD, 1)     {'Erro ao mudar'}
    else
        begin
             mensagem (DVOKMUD, 1);    {'OK mudei diretório de trabalho'}
             strpcopy (pdir, dir);
             writePrivateProfileString ('DOSVOX', 'DIRDEFAULT', pdir, 'DOSVOX.INI');
        end;
end;

end.
